
From: Stephen Rothwell <sfr@canb.auug.org.au>

Remove no longer used things from iSeries_pci.h.

Signed-off-by: Stephen Rothwell <sfr@canb.auug.org.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc64/kernel/iSeries_pci.c         |    1 -
 include/asm-ppc64/iSeries/iSeries_pci.h |   17 +----------------
 2 files changed, 1 insertion(+), 17 deletions(-)

diff -puN arch/ppc64/kernel/iSeries_pci.c~ppc64-iseries-iseries_pcih-cleanups arch/ppc64/kernel/iSeries_pci.c
--- 25/arch/ppc64/kernel/iSeries_pci.c~ppc64-iseries-iseries_pcih-cleanups	2005-06-05 23:56:50.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/iSeries_pci.c	2005-06-05 23:56:50.000000000 -0700
@@ -497,7 +497,6 @@ static int scan_bridge_slot(HvBusNumber 
 
 			++DeviceCount;
 			node = build_device_node(Bus, SubBus, EADsIdSel, Function);
-			node->Vendor = VendorId;
 			node->Irq = Irq;
 			node->LogicalSlot = BridgeInfo->logicalSlotNumber;
 
diff -puN include/asm-ppc64/iSeries/iSeries_pci.h~ppc64-iseries-iseries_pcih-cleanups include/asm-ppc64/iSeries/iSeries_pci.h
--- 25/include/asm-ppc64/iSeries/iSeries_pci.h~ppc64-iseries-iseries_pcih-cleanups	2005-06-05 23:56:50.000000000 -0700
+++ 25-akpm/include/asm-ppc64/iSeries/iSeries_pci.h	2005-06-05 23:56:50.000000000 -0700
@@ -44,8 +44,7 @@ struct iSeries_Device_Node;
 #define ISERIES_SUBBUS(DevPtr)	DevPtr->DsaAddr.Dsa.subBusNumber
 #define ISERIES_DEVICE(DevPtr)	DevPtr->DsaAddr.Dsa.deviceId
 #define ISERIES_DSA(DevPtr)	DevPtr->DsaAddr.DsaAddr
-#define ISERIES_DEVFUN(DevPtr)	DevPtr->DevFn
-#define ISERIES_DEVNODE(PciDev)	((struct iSeries_Device_Node*)PciDev->sysdata)
+#define ISERIES_DEVNODE(PciDev)	((struct iSeries_Device_Node *)PciDev->sysdata)
 
 #define EADsMaxAgents 7
 
@@ -63,17 +62,6 @@ struct iSeries_Device_Node;
 #define ISERIES_GET_FUNCTION_FROM_SUBBUS(subbus)	((subbus >> 2) & 0x7)
 
 /*
- * N.B. the ISERIES_DECODE_* macros are not used anywhere, and I think
- * the 0x71 (at least) must be wrong - 0x78 maybe?  -- paulus.
- */
-#define ISERIES_DECODE_DEVFN(linuxdevfn)	\
-	(((linuxdevfn & 0x71) << 1) | (linuxdevfn & 0x07))
-#define ISERIES_DECODE_DEVICE(linuxdevfn)	\
-	(((linuxdevfn & 0x38) >> 3) | (((linuxdevfn & 0x40) >> 2) + 0x10))
-#define ISERIES_DECODE_FUNCTION(linuxdevfn)	\
-	(linuxdevfn & 0x07)
-
-/*
  * Converts Virtual Address to Real Address for Hypervisor calls
  */
 #define ISERIES_HV_ADDR(virtaddr)	\
@@ -90,15 +78,12 @@ struct iSeries_Device_Node {
 					/* deviceId, barNumber */
 	HvAgentId	AgentId;	/* Hypervisor DevFn */
 	int		DevFn;		/* Linux devfn */
-	int		BarOffset;
 	int		Irq;		/* Assigned IRQ */
 	int		IoRetry;	/* Current Retry Count */
 	int		Flags;		/* Possible flags(disable/bist)*/
-	u16		Vendor;		/* Vendor ID */
 	u8		LogicalSlot;	/* Hv Slot Index for Tces */
 	struct iommu_table *iommu_table;/* Device TCE Table */
 	u8		PhbId;		/* Phb Card is on. */
-	u16		Board;		/* Board Number */
 	u8		FrameId;	/* iSeries spcn Frame Id */
 	char		CardLocation[4];/* Char format of planar vpd */
 	char		Location[20];	/* Frame	1, Card C10 */
_
